DetachNetworkInterface

1. API Description

This API (DetachNetworkInterface) is used to detach the vNIC from the instance.

circle-info

Note

  • The instance state should be Running.

  • The vNIC state should be USED.

  • Operations on the primary vNIC are not supported.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

ID of the vNIC.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Detach the vNIC.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DetachNetworkInterface
<Common Request Params>

Request:
{
  "nicId": "XXX"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

409

INVALID_NIC_LB_ASSOCIATED

Operation is not supported because the private IP is associated with a load balancer backend server.

404

INVALID_NIC_NOT_FOUND

vNIC does not exist.

409

INVALID_NIC_PRIMARY_CANT_DETACH

Operations on the primary vNIC are not supported.

400

INVALID_NIC_STATUS

Current vNIC state does not allow this operation.

400

OPERATION_DENIED_INSTANCE_STATUS_NOT_SUPPORT

Current instance state does not allow this operation.

Last updated